Summary: Ygl emulates SGI's GL routines under X11.
Name: Ygl
Version: 4.0g
Release: 1
Copyright: GPL
Group: X11/Libraries
Source: ftp://ftp.thp.uni-duisburg.de/pub/source/X11/Ygl-4.0g.tar.gz
URL: http://WWW.thp.Uni-Duisburg.DE/Ygl/ReadMe.html
Distribution: Red Hat Contrib|Net
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Patch: Ygl-4.0g.patch

Buildroot: /var/tmp/ygl-root
Prefix: /usr

%description
	Ygl is an X11 library that emulates the 2D routines of SGI's GL
(sometimes called IRIS GL). Please note that GL is different from OpenGL.
Ygl is very simple to use, and very fast. The 2D routines are built around
the standard X11 libraries and reported to be faster than GL itself.  SGI's
GL has 3D routines as well and Ygl tries to emulate these using OpenGL. 
However this does'nt work yet with Mesa and hence there is no 3D support in
this release.  This release will also work with FORTRAN code.

	This package comes with a useful set of examples. There is also a
contributed widget (glwidget.h) included with Ygl and this library too is
included along with its examples.


%changelog
* Sun Mar 21 1999 Prabhu Ramachandran  <prabhu@aero.iitm.ernet.in>
- I am the current maintainer.

%prep

%setup -n Ygl-4.0
%patch -p1

%build

xmkmf
make

cd examples
xmkmf
make
make smile_f77 smile_f2c

cd ../contrib/glwidget
xmkmf -a
make

cd ../../
mv examples examples1

mkdir -p examples/glwidget
cp examples1/*.c examples/
cp examples1/*.f examples/
cp -p examples1/{coltest,lines,popup,rgbtest,smile,smile_f77,smile_f2c} examples/
cp contrib/glwidget/examples/*.c examples/glwidget
cp -p contrib/glwidget/examples/{simple,lissa} examples/glwidget

%install

rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/include/X11
install -d $RPM_BUILD_ROOT/usr/include/gl
install -s -m 755 ./libYgl.so.4.0 $RPM_BUILD_ROOT/usr/lib
install -m 644 ./X11/Ygl.h $RPM_BUILD_ROOT/usr/include/X11
install -m 644 ./X11/Yfgl.h $RPM_BUILD_ROOT/usr/include/X11
install -m 644 ./X11/Ygltypes.h $RPM_BUILD_ROOT/usr/include/X11
install -s -m 644 ./contrib/glwidget/libglwidget.a $RPM_BUILD_ROOT/usr/lib
install -m 644 ./contrib/glwidget/glwidget.h $RPM_BUILD_ROOT/usr/include/gl
ln -s ../X11/Ygl.h $RPM_BUILD_ROOT/usr/include/gl/gl.h
ln -s ../X11/Yfgl.h $RPM_BUILD_ROOT/usr/include/gl/fgl.h
ln -s ../X11/Ygl.h $RPM_BUILD_ROOT/usr/include/gl/device.h
ln -s ../X11/Yfgl.h $RPM_BUILD_ROOT/usr/include/gl/fdevice.h
ln -s ./libYgl.so.4.0 $RPM_BUILD_ROOT/usr/lib/libYgl.so

%post
ldconfig

%postun
ldconfig

%files
%attr(755, root, root) /usr/lib/libYgl.so.4.0
%attr(-, root, root) /usr/lib/libYgl.so
%attr(644, root, root) /usr/lib/libglwidget.a
%attr(644, root, root) /usr/include/X11/Ygl.h
%attr(644, root, root) /usr/include/X11/Yfgl.h
%attr(644, root, root) /usr/include/X11/Ygltypes.h
%attr(644, root, root) /usr/include/gl/glwidget.h
%attr(-, root, root) /usr/include/gl/gl.h
%attr(-, root, root) /usr/include/gl/fgl.h
%attr(-, root, root) /usr/include/gl/device.h
%attr(-, root, root) /usr/include/gl/fdevice.h


%attr (-, root, root) %doc ReadMe.html FAQ.html Changes.html INSTALLATION
%attr (644, root, root) %doc LICENSE Smile.gif SharedLibs.txt 
%attr (644, root, root) %doc contrib/glwidget/README contrib/glwidget/glwidget.man
%docdir examples
%attr (-,root,root) %doc examples


%clean 
rm -rf $RPM_BUILD_ROOT
